dpkg-fsys-usrunmess(8)

BEZEICHNUNG
dpkg-fsys-usrunmess - macht die Unordnung durch merged-/usr-via-aliased-dirs rückgängig

ÜBERSICHT
dpkg-fsys-usrunmess [Option …]

BESCHREIBUNG
dpkg-fsys-usrunmess ist ein Werkzeug, das Dateisysteme repariert, die mit neueren Installationsprogrammen mit unglücklichen Vorgaben neu installiert wurden oder die auf defekte vereinigte /usr mittels des Alias-Verzeichnis-Layouts migriert wurden, welches von Dpkg nicht unterstützt wird. Siehe die FAQ von Dpkg.

Das Programm wird folgende grobe Aktionen durchführen:

•   Überprüft, ob das System umgestellt werden muss, macht andernfalls nichts.

•   Prüft auf die Konsistenz der Dpkg-Datenbank und bricht andernfalls ab.

•   Ermittelt die Liste der Dateien und Alternativen, die wiederhergestellt werden müssen.

•   Erstellt eine Schatten-Hierarchie unter /.usrunmess, indem es Verzeichnissymlinks oder -hardlinks oder -Kopien wie notwendig erstellt.

•   Bittet um Bestätigung vor dem Fortfahren, falls auf der Befehlszeile erbeten.

•   Sperrt die Dpkg-Datenbank.

•   Markiert alle Pakete als halbkonfiguriert, um die Ausführung der Betreuerskripte zu erzwingen, die notwendig sein könnten, um Dateien neu zu erstellen.

•   Ersetzt die Alias-Verzeichnisse mit den aus dem Schattenbereich, indem eine Sicherungskopie des alten Symlink-Verzeichnisses erstellt und das aus dem Schattenbereich darüber umbenannt wird.

•   Bringt MAC-Informationen für Verzeichnisse und Symlinks wo notwendig neu an.

•   Entfernt alle Sicherungskopie-Symlinks.

•   Entfernt alle verschobenen Objekte, verzögert aber die Entfernung des Verzeichnisses.

•   Entfernt alle verzögerten Verzeichnisse, die nicht mehr von Dpkg-query referenziert werden.

•   Entfernt das Schatten-Wurzelverzeichnis.

•   Register a policy-rc.d to disallow service actions, which means that services might need to be restarted afterwards, ideally via a reboot.

•   Rekonfiguriert alle Pakete.

•   Unregister the policy-rc.d and restore the alternatives state.

Hinweis:: Wird das Programm aus einigen Shells wie bash(1) oder zsh(1) ausgeführt, dann müssen Sie nach der Ausführung die Shell anweisen, alle gespeicherten Orte von Programmen zu vergessen, beispielsweise mit "hash -r".

Note: Some directories might linger after the migration in case they contain untracked files. A list is printed once the script has finished for further investigation.

Warnung: Beachten Sie, dass diese Aktion die Möglichkeit eröffnet, dass Ihr System unbrauchbar oder defekt wird, falls das System unerwartet abstürzt oder neustartet, es sich in einem unerwarteten Zustand befindet oder sich möglicherweise Fehler in dem Skript befinden. Halten Sie Medien zur Systemwiederherstellung bereit und erstellen Sie vor der Ausführung Sicherungskopien.

OPTIONEN

-p, --prompt
    Bittet am Punkt, ab dem die Änderungen nicht mehr rückgängig gemacht werden können, um Bestätigung, so dass die Fehlersuchausgabe oder die Schatten-Hierarchie untersucht werden können, bevor fortgefahren wird.

-n, --no-act
--dry-run
    Diese Option aktiviert den Probelaufmodus, bei der keine zerstörenden Aktionen stattfinden, nur der vorbereitende Anteil.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_USRUNMESS_NOACT
    Diese Einstellung definiert, ob der Probelaufmodus aktiviert wird.

SIEHE AUCH
<https://wiki.debian.org/Teams/Dpkg/FAQ#Q:_Does_dpkg_support_merged-.2Fusr-via-aliased-dirs.3F>.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2020 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.